#!/bin/sh
#
# 美文書第5版多言語章 Type1 フォント生成スクリプト
# using mftrace 1.2.16 and t1binary.
# 2010 (c) isao yasuda, All Rights Reserved.
#

# Font Package
FPKG="armenian bengali croatian georgian hebrew viking yi"
# Magnification
MAG=600
# Encoding file
ENCF="tex256.enc"

# Type1 Fonts generation
echo "* Type1 fonts generation started at `date`."
SDATE=`date`
cp /dev/null faillist1
for i in $FPKG
do
	echo "* $i fonts generation."	
	MAP=../fonts/map/dvips/bibunsho5/bibunsho5-$i.map
	FDI=../fonts/type1/bibunsho5/$i
	rm -f $MAP
	rm -fr $FDI
	mkdir -p $FDI
	for j in `cat $i.list`
	do
		echo "* Try $j: mftrace --magnification=$MAG --encoding=$ENCF"
		mftrace --magnification=$MAG --encoding=$ENCF $j
		if [ $? -eq 0 ]
		then
			echo "* mftrace $j pfa gen succeeded at $MAG magnification."
			t1binary $j.pfa $j.pfb
			echo "* t1binary $j pfb gen succeeded."
			rm -f $j.pfa
			mv $j.pfb $FDI
			echo "* writing entry to map file."
			echo "$j $j <$j.pfb" >> $MAP
		else
			echo "* $j Generation failed. Ignore."
			echo "$i $j" >> faillist1
		fi
	done
done
echo "* Type1 fonts generation"
echo "*   started: $SDATE"
echo "*   ended:   `date`"
