#!/bin/sh
#
# 美文書第5版多言語章 Type1 フォント生成スクリプト croatian 残り
# using mftrace 1.2.16 and t1binary.
# 2010 (c) isao yasuda, All Rights Reserved.
#

# font list
FLIST="ugl10 kur"
# Map file
MAP=../fonts/map/dvips/bibunsho5/bibunsho5-croatian.map
# Type1 font dir
FDI=../fonts/type1/bibunsho5/croatian
# Magnification
MAG=720
# Encoding file
ENCF="tex256.enc"

# Type1 Fonts generation
echo "* Type1 fonts generation started at `date`."
SDATE=`date`
cp /dev/null faillist2
for i in $FLIST
do
	echo "* $i fonts generation."
	echo "* Try $i: mftrace --magnification=$MAG --encoding=$ENCF"
	mftrace --magnification=$MAG --encoding=$ENCF $i
	if [ $? -eq 0 ]
	then
		echo "* mftrace $i pfa gen succeeded at $MAG magnification."
		t1binary $i.pfa $i.pfb
		echo "* t1binary $i pfb gen succeeded."
		rm -f $i.pfa
		mv $i.pfb $FDI
		echo "* writing entry to map file."
		echo "$i $i <$i.pfb" >> $MAP
	else
		echo "* $i Generation failed. Ignore."
		echo "$i" >> faillist2
	fi
done

# ple
echo "* Try ple: mftrace --magnification=580 --encoding=$ENCF"
mftrace --magnification=580 --encoding=$ENCF ple
t1binary ple.pfa ple.pfb
echo "* t1binary ple pfb gen succeeded."
rm -f ple.pfa
mv ple.pfb $FDI
echo "* writing entry to map file."
echo "ple ple <ple.pfb" >> $MAP

# gg10
echo "* Try gg10: mftrace --magnification=580 --encoding=$ENCF"
mftrace --magnification=530 --encoding=$ENCF gg10
t1binary gg10.pfa gg10.pfb
echo "* t1binary gg10 pfb gen succeeded."
rm -f gg10.pfa
mv gg10.pfb $FDI
echo "* writing entry to map file."
echo "gg10 gg10 <gg10.pfb" >> $MAP

# obl10
echo "* Try obl10: mftrace --magnification=580 --encoding=$ENCF"
mftrace --encoding=$ENCF obl10
t1binary obl10.pfa obl10.pfb
echo "* t1binary obl10 pfb gen succeeded."
rm -f obl10.pfa
mv obl10.pfb $FDI
echo "* writing entry to map file."
echo "obl10 obl10 <obl10.pfb" >> $MAP

echo "* Type1 fonts generation"
echo "*   started: $SDATE"
echo "*   ended:   `date`"
